Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 911293002: Fix uninitialized value in CFX_ByteString::FormatInteger (Closed)

Created:
5 years, 7 months ago by jun_fang
Modified:
5 years, 6 months ago
Reviewers:
Tom Sepez, kai_jing
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Fix uninitialized value in CFX_ByteString::FormatInteger BUG=449845 R=tsepez@chromium.org Committed: https://pdfium.googlesource.com/pdfium/+/0c61a738d2a8bef13c8fbe08c6df0b27238960ab

Patch Set 1 #

Total comments: 2

Patch Set 2 : #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -3 lines) Patch
M core/include/fpdfapi/fpdf_objects.h View 1 1 chunk +2 lines, -2 lines 3 comments Download
M core/include/fxcrt/fx_coordinates.h View 1 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 8 (2 generated)
jun_fang
Hi Tom, please review this CL. Thanks!
5 years, 7 months ago (2015-02-10 23:04:48 UTC) #2
Tom Sepez
LGTM https://codereview.chromium.org/911293002/diff/1/core/include/fpdfapi/fpdf_objects.h File core/include/fpdfapi/fpdf_objects.h (right): https://codereview.chromium.org/911293002/diff/1/core/include/fpdfapi/fpdf_objects.h#newcode169 core/include/fpdfapi/fpdf_objects.h:169: { nit: prefer initializer list. https://codereview.chromium.org/911293002/diff/1/core/include/fxcrt/fx_coordinates.h File core/include/fxcrt/fx_coordinates.h ...
5 years, 7 months ago (2015-02-10 23:17:04 UTC) #3
Tom Sepez
Almost. https://codereview.chromium.org/911293002/diff/10003/core/include/fpdfapi/fpdf_objects.h File core/include/fpdfapi/fpdf_objects.h (right): https://codereview.chromium.org/911293002/diff/10003/core/include/fpdfapi/fpdf_objects.h#newcode170 core/include/fpdfapi/fpdf_objects.h:170: m_Type = PDFOBJ_NUMBER; initialize m_type the same way.
5 years, 7 months ago (2015-02-11 00:04:53 UTC) #5
Tom Sepez
Lets land it. LGTM++ https://codereview.chromium.org/911293002/diff/10003/core/include/fpdfapi/fpdf_objects.h File core/include/fpdfapi/fpdf_objects.h (right): https://codereview.chromium.org/911293002/diff/10003/core/include/fpdfapi/fpdf_objects.h#newcode170 core/include/fpdfapi/fpdf_objects.h:170: m_Type = PDFOBJ_NUMBER; On 2015/02/11 ...
5 years, 7 months ago (2015-02-11 00:07:09 UTC) #6
jun_fang
Seems that base class' members can't be initialized in the derived class' initializer list. https://codereview.chromium.org/911293002/diff/10003/core/include/fpdfapi/fpdf_objects.h ...
5 years, 7 months ago (2015-02-11 00:15:07 UTC) #7
jun_fang
5 years, 7 months ago (2015-02-11 00:15:34 UTC) #8
Message was sent while issue was closed.
Committed patchset #2 (id:10003) manually as
0c61a738d2a8bef13c8fbe08c6df0b27238960ab (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698